{% extends 'base.html' %}

{% load static %}

{% block head %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/css?family=Montserrat:400,700&display=swap" rel="stylesheet">
    <title>Log in</title>
    <style>
        body{color: white;}
    </style>
{% endblock head %}

{% block content %}


<div class="main-story10 d-flex flex-column justify-content-center">

        <div class="right-page col justify-content-center">
            {% if user.is_authenticated == False %}
            <div class="login content mx-5 my-5">
                {% if messages %}
                    {% for message in messages %}
                        <p>{{message}}</p>
                    {% endfor %}
                {% endif %}
                <div class="title">
                    <h3>Sign in</h3>
                </div>
                <div class="login-form">
                    <form method="POST">
                        {% csrf_token %} 
                        {{ form }}
                        <div>
                            <button type="submit" name="btn-login" id="btn-logIn" class="btn btn-dark mt-4">LOGIN</button>
                        </div>
                    </form>
                </div>

                <div class="info mt-5">
                    <p>
                        Don't have an account? <a class="sign-up-in-link" href="{% url 'signup' %}"><strong>Sign up.</strong></a>
                    </p>
                </div>
            </div>

            {% else %}
                <div class="success mt-5 ml-5">
                    <div class="btn-logout">
                        <form action="{% url 'logout' %}">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>

                    <div class="greeting mt-5">
                        <h3>Welcome,</h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.bio}}.</span></h4>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.img}}.</span></h4>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>


</div>

<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


{% endblock content %}
